<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.9.1 - Last modified 2015-08-21
*/


// Load bootstrap
define('BOOT', 1);
require 'boot.php';


include 'header.php';


// Regpass 1
if (w_gpc('reg_pass', 'i')) {
	// Debug variable - only works in this script
	if (isset($_GET['set'])) {
		$cfg['approval'] = $_GET['set'];
	}
	?>
	<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" class="header">
	<tr>
	<td align="center">
		<strong><?php echo $langop_register_title;?></strong>
	</td>
	</tr>
	</table>
	<br />

	<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" cellspacing="2" class="infotable">
	<tr>
	<td align="center">
<?php if ($cfg['approval'] != 'force') { ?>
		<p align="center">
			<?php echo $langop_reg_processing;?><br />
		</p>

<?php } ?>
		<p align="center">
<?php if ($cfg['approval'] == 'yes') { ?>
			<?php echo $langop_reg_approve_yes;?><br />
			<br />
			<a href="index.php"><?php echo $langop_reg_return_to_bbs;?></a>
<?php } elseif ($cfg['approval'] == 'no') { ?>
			<?php echo $langop_reg_approve_no;?><br />
			<br />
			<a href="index.php"><?php echo $langop_reg_return_to_bbs;?></a>
<?php } elseif ($cfg['approval'] == 'force') { ?>
			<?php echo $langop_reg_approve_force;?><br />
			<br />
			<a href="editprofile.php"><?php echo $langop_reg_go_to_profile;?></a>
<?php } ?>
		</p>
	</td>
	</tr>
	</table>
	<br />
	<br />

<?php
	include 'footer.php';
	exit;
}
// End Regpass 1



?>
<table width="<?php echo $hWidth;?>" cellpadding="2" align="center">
<tr>
<td class="header">
	<strong><?php echo $langop_register_title;?></strong>
</td>
</tr>

<tr>
<td>
	<table width="95%" cellpadding="2" align="center" cellspacing="2" class="infotable">
	<tr>
	<td>
<?php if ($cfg['approval'] == 'yes') { ?>
		<?php echo $langop_reg_notice_yes;?> 
<?php } elseif ($cfg['approval'] == 'no') { ?>
		<?php echo $langop_reg_notice_no;?> 
<?php } elseif ($cfg['approval'] == 'force') { ?>
		<?php echo $langop_reg_notice_force;?> 
<?php } ?>
	</td>
	</tr>
	</table>
</td>
</tr>
</table>
<br />



<table width="<?php echo $hWidth;?>" cellpadding="2" align="center">
<tr>
<td class="header">
	<strong><?php echo $langop_word_register;?></strong>
</td>
</tr>

<tr>
<td>
	<form name="form_reg" method="post" action="functions.php">
		<input name="action" type="hidden" value="register" />

		<table width="75%" cellpadding="2" align="center" cellspacing="2" class="infotable">
		<tr>
		<td width="15%" align="right">
			<?php echo $langop_word_username;?>:
		</td>
		<td width="85%">
			<input id="username" name="username" type="text" class="txtinput" size="40" onblur="checkName('username');" />
		</td>
		</tr>

		<tr>
		<td align="right">
			<?php echo $langop_install_password;?>:
		</td>
		<td height="34">
			<input id="pass" name="pass" type="password" class="txtinput" size="40" />
		</td>
		</tr>

		<tr>
		<td align="right">
			<?php echo $langop_eprofile_repass;?>:
		</td>
		<td>
			<input id="pass2" name="pass2" type="password" class="txtinput" size="40" onblur="checkPass('pass', 'pass2');" />
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

		<tr>
		<td align="right">
			<?php echo $langop_word_email;?>:
		</td>
		<td height="32">
			<input name="email" type="text" class="txtinput" size="40" onblur="MM_validateForm('email','','RisEmail');return document.MM_returnValue" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
<?php
if ($cfg['approval'] != 'force') {
?>
		<td>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<em><?php echo $langop_register_sub1;?></em>
		</td>
<?php } ?>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

<?php if ($cfg['op_adult'] == 'yes') { ?>

		<!-- Age -->
		<tr>
		<td valign="top" align="right" style="padding-top: 6px;">
			18+ <?php echo $langop_agestatement;?>:
		</td>
		<td>
			<?php echo $langop_abbr_month;?>: <select name="age_month" class="txtinput">
				<option value="0">---</option>
				<option value="1"><?php echo $langop_month_jan;?></option>
				<option value="2"><?php echo $langop_month_feb;?></option>
				<option value="3"><?php echo $langop_month_mar;?></option>
				<option value="4"><?php echo $langop_month_apr;?></option>
				<option value="5"><?php echo $langop_month_may;?></option>
				<option value="6"><?php echo $langop_month_jun;?></option>
				<option value="7"><?php echo $langop_month_jul;?></option>
				<option value="8"><?php echo $langop_month_aug;?></option>
				<option value="9"><?php echo $langop_month_sep;?></option>
				<option value="10"><?php echo $langop_month_oct;?></option>
				<option value="11"><?php echo $langop_month_nov;?></option>
				<option value="12"><?php echo $langop_month_dec;?></option>
			</select>

			<?php echo $langop_abbr_day;?>: <input name="age_day" type="text" size="3" class="txtinput" />
			<?php echo $langop_abbr_year;?>: <input name="age_year" type="text" size="6" class="txtinput" />

			<p class="subtext">
				<?php echo $langop_adultonlymsg;?>
			</p>
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

<?php } ?>

		<tr>
		<td align="right">
			<?php echo $langop_word_comments;?>:
		</td>
		<td>
			<input type="text" name="comments" maxlength="80" class="txtinput" style="width: 100%;" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		<td>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<em><?php echo $langop_register_sub3;?></em>
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

		<tr>
		<td align="right">
			<?php echo $langop_addusr_arturl;?>:
		</td>
		<td>
			<input type="text" name="artURL" value="http://" class="txtinput" style="width: 100%;" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		<td>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<em><?php echo $langop_register_sub4;?></em><br />
<?php if ($cfg['approval'] == 'yes') { ?>
			<br />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<em><b>*<?php echo $langop_register_sub5;?>*</b></em>
<?php } ?>
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

<?php
$start = rand(1, 10);
$end = rand(1, 10);
$sum = $start + $end;

$mixup = array($sum, $sum+2, $sum+4, $sum+6, $sum+8);
shuffle($mixup);

// Make sure correct value is not in 1st position, else swap with 3rd
if ($mixup[0] == $sum) {
	$dummy    = $mixup[0];
	$mixup[0] = $mixup[3];
	$mixup[3] = $dummy;
}

?>
		<tr>
		<td align="right">
			What is <?php echo $start;?> + <?php echo $end;?>? :
		</td>
		<td>
			<input type="hidden" name="x_test" value="<?php echo $start;?>" />
			<select name="e_test" class="txtinput">
<?php
$answer_flag = 0;
foreach($mixup as $out) { ?>
				<option value="<?php echo $out;?>"<?php if ($out != $sum && $answer_flag == 0) { echo ' selected="selected"'; $answer_flag = 1;} ?>><?php echo $out;?></option>
<?php } ?>
			</select>
			<input type="hidden" name="y_test" value="<?php echo $end;?>" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		<td>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<em>And now, for the humanity test.</em><br />
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

		<tr>
		<td>
			&nbsp;<br />
			&nbsp;<br />
			&nbsp;
		</td>
		<td>
			<input name="register" type="submit" class="submit" onclick="MM_validateForm('email','','RisEmail');return document.MM_returnValue" value="Submit" />
		</td>
		</tr>
		</table>
		<br />
	</form>
</td>
</tr>
</table>
<br />
<br />

<?php

include 'footer.php';